.contacts {
  display: flex;
  flex-direction: column;
  gap: 38px;
}

.contacts .button {
  width: 50%;
  min-width: auto;
}
.button_wrap {
  margin-bottom: 20px;
  display: flex;
  gap: 10px;
}

.contacts__info {
  width: fit-content;
}

.contacts__map {
  margin-right: -1rem;
  margin-left: -1rem;
}

#mapR12 {
  width: 100%;
  height: 674px;
  padding: 0;
  margin: 0;
}

#mapR12
  > ymaps
  > ymaps
  > ymaps
  > ymaps.ymaps-2-1-79-controls-pane
  > ymaps.ymaps-2-1-79-controls__toolbar
  > ymaps.ymaps-2-1-79-controls__toolbar_left
  > ymaps {
  opacity: 0;
}

ymaps canvas {
  filter: grayscale(1);
}

@media (min-width: 992px) {
  .contacts {
    flex-direction: row;
    gap: 55px;
  }

  .contacts__map {
    flex-grow: 1;
    width: auto;
  }

  #mapR12 {
    height: 745px;
  }

  .contacts__map {
    margin-right: -2rem;
    margin-left: 0;
  }
}

@media (min-width: 1560px) {
  .contacts__map {
    margin-right: 0;
  }
}

.contacts-new-address {
  color: var(--Color1, #727272);
  font-family: "Wremena";
  font-size: 41px;
  font-style: normal;
  font-weight: 400;
  line-height: 85%;
  min-width: 265px;
}

.contacts_time {
  color: var(--Color1, #727272);
  font-family: "Manrope";
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
}

.contacts_block {
  display: flex;
  flex-direction: column;
  padding-bottom: 35px;
  margin-bottom: 25px;
  border-bottom: 1px solid #d1d0d1;
}

.contacts_block-title {
  color: var(--Color5, #bf9086);
  font-family: "Manrope";
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
  margin-bottom: 8px;
}

.contacts_link {
  color: var(--Color1, #727272);
  font-family: "Manrope";
  font-size: 22px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%;
  display: inline-block;
  width: fit-content;
}

.contacts_block-last {
  border: none;
  padding-bottom: 0;
  border-bottom: none;
}

.button-wp {
  border: 1px solid #bf9086;
  background: #bf9086;
  color: #fff;
  text-align: center;
  font-family: "Manrope";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 18px;
  height: 60px;
  padding-left: 27px;
  padding-right: 32px;
  width: fit-content;
  margin-bottom: 82px;
  transition: all 0.2s;
}

.button-wp svg path {
  transition: all 0.2s;
}

.button-wp:hover {
  background-color: #fff;
  color: #bf9086;
}

.button-wp:hover svg path {
  fill: #bf9086;
}

.shem_link {
  color: #bf9086;
  font-family: "Manrope";
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: none;
  text-decoration-thickness: auto;
  text-underline-offset: auto;
  text-underline-position: from-font;
}

.contacts__map ymaps canvas {
  filter: none;
}

@media (max-width: 560px) {
  .contacts-new-address {
    font-size: 19px;
    min-width: auto;
  }

  .contacts_time {
    font-size: 12px;
  }

  .contacts_block-title {
    font-size: 12px;
  }

  .contacts_link {
    font-size: 16px;
  }

  .button-wp {
    font-size: 12px;
  }

  .shem_link {
    font-size: 12px;
  }

  .contacts_block {
    margin-bottom: 16px;
    padding-bottom: 16px;
  }

  .contacts_block-last {
    margin-bottom: 8px;
  }

  .button-wp {
    margin-bottom: 32px;
  }
}
